/* 
Ubuntu-like Panel
Copyright fthx 2021
License: GPL v3
*/

const Main = imports.ui.main;
const Panel = Main.panel;

function init() {
}

function enable() {
    // Change panel style
    Panel.add_style_class_name('panel-normal-font');
    Panel.add_style_class_name('panel-transparent-reduced');
    // Remove rounded corners
    Panel._leftCorner.add_style_class_name('straight-panel-corner');
    Panel._rightCorner.add_style_class_name('straight-panel-corner');
}

function disable() {
    // Restore panel style
    Panel.remove_style_class_name('panel-normal-font');
    Panel.remove_style_class_name('panel-transparent-reduced');
    // Restore rounded corners
    Panel._leftCorner.remove_style_class_name('straight-panel-corner');
    Panel._rightCorner.remove_style_class_name('straight-panel-corner');
}
